#include "xgfxportal.h"
#include "xgfxcell.h"

XGfxPortal::XGfxPortal()
    : XAsset()
    , mWritable()
    , mPlane()
    , mCell(new XGfxCell())
    , mVertices()
    , mVertexCount(0)
    , mHullAxis()
{
    SetName("GFX Portal");
}

XGfxPortal::~XGfxPortal()
{

}

void XGfxPortal::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XGfxPortal::ParseData
}

void XGfxPortal::Clear()
{
    mWritable = XGfxPortalWritable();
    mPlane.Clear();
    mCell->Clear();
    mVertices = QVector3D();
    mVertexCount = 0;
    mHullAxis.clear();
}
